export declare const setup: {
    name: string;
    assetId: string;
    version: string;
    shortDescription: string;
    developerDocumentation: string;
    npmPackage: string;
    sourceGithub: string;
    userGuide: string;
    apiVersion: string;
    runTimeDependencies: {
        externals: {
            "@youwol/flux-view": string;
            rxjs: string;
            "@youwol/cdn-client": string;
            codemirror: string;
            typescript: string;
            "@youwol/logging": string;
            "@typescript/vfs": string;
        };
        includedInBundle: {};
    };
    externals: {
        "@youwol/flux-view": {
            commonjs: string;
            commonjs2: string;
            root: string;
        };
        rxjs: {
            commonjs: string;
            commonjs2: string;
            root: string;
        };
        "@youwol/cdn-client": {
            commonjs: string;
            commonjs2: string;
            root: string;
        };
        codemirror: {
            commonjs: string;
            commonjs2: string;
            root: string;
        };
        typescript: {
            commonjs: string;
            commonjs2: string;
            root: string;
        };
        "@youwol/logging": {
            commonjs: string;
            commonjs2: string;
            root: string;
        };
        "@typescript/vfs": {
            commonjs: string;
            commonjs2: string;
            root: string;
        };
        "rxjs/operators": {
            commonjs: string;
            commonjs2: string;
            root: string[];
        };
    };
    exportedSymbols: {
        "@youwol/flux-view": {
            apiKey: string;
            exportedSymbol: string;
        };
        rxjs: {
            apiKey: string;
            exportedSymbol: string;
        };
        "@youwol/cdn-client": {
            apiKey: string;
            exportedSymbol: string;
        };
        codemirror: {
            apiKey: string;
            exportedSymbol: string;
        };
        typescript: {
            apiKey: string;
            exportedSymbol: string;
        };
        "@youwol/logging": {
            apiKey: string;
            exportedSymbol: string;
        };
        "@typescript/vfs": {
            apiKey: string;
            exportedSymbol: string;
        };
    };
    entries: {
        '@youwol/fv-code-mirror-editors': string;
    };
    secondaryEntries: {
        [k: string]: {
            entryFile: string;
            name: string;
            loadDependencies: string[];
        };
    };
    getDependencySymbolExported: (module: string) => string;
    installMainModule: ({ cdnClient, installParameters }: {
        cdnClient: {
            install: (unknown: any) => Promise<WindowOrWorkerGlobalScope>;
        };
        installParameters?: any;
    }) => Promise<any>;
    installAuxiliaryModule: ({ name, cdnClient, installParameters }: {
        name: string;
        cdnClient: {
            install: (unknown: any) => Promise<WindowOrWorkerGlobalScope>;
        };
        installParameters?: any;
    }) => Promise<any>;
    getCdnDependencies(name?: string): string[];
};
