import { ReplaySubject } from 'rxjs';
import { SourcePath } from './models';
import CodeMirror from 'codemirror';
import { VirtualDOM } from '@youwol/flux-view';
import { IdeState } from './ide.state';
export declare class CodeEditorView {
    readonly editorUid: string;
    readonly ideState: IdeState;
    readonly config: {
        [k: string]: unknown;
    };
    readonly language: string;
    readonly class = "w-100 h-100 d-flex flex-column overflow-auto";
    readonly style: {
        'font-size': string;
    };
    readonly path: SourcePath;
    readonly change$: ReplaySubject<CodeMirror.EditorChange[]>;
    readonly cursor$: ReplaySubject<CodeMirror.Position>;
    readonly children: VirtualDOM[];
    readonly nativeEditor$: ReplaySubject<CodeMirror.Editor>;
    constructor(params: {
        ideState: IdeState;
        path: SourcePath;
        language: string;
        config?: unknown;
    });
}
